# @Author: wangkun
# @Time: 2月 25, 2022
import datetime
import logging
import os
import time

from main.feishu_lib import Feishu

path = "../videoinfo/"


def read_videoname():
    with open(path + "videoname.txt", "r", encoding="utf8") as f:
        content = f.read()
        name = content
        return name


def write_videoname():
    n = int(float(read_videoname()))
    with open(path + "videoname.txt", "w", encoding="utf8") as f:
        f.write(str(n + 1))


def split_text():
    path1 = "./chlsfiles/"
    files = os.listdir(path1)
    for file in files:
        print(file)
        print("\n==========\n")
        a = os.path.splitext(file)
        print(a[-1])

        # print(file[0])
        # print(file[-1])


def split_query():
    url = "encfilekey=Cvvj5Ix3eez3Y79SxtvVL0L7CkPM6dFibFeI6caGYwFHPibicjZB7UrwpKsG9wQrl01" \
          "IlTMtIjicibib9iaGoaL2sxR7vGt4sofODkBGnic9EOCZjgCQTlO7ZTNjribxkDmPq40E2RMdXxzGlWDwYfmkWz4Q15g" \
          "&token=AxricY7RBHdVbVKZOkvCOWwYWwj9zBqet1eia6GZib8GhmdrytdBu5HcPARtxW7l0AAzppsekDUXXQ&idx=1&adap" \
          "tivelytrans=943&bizid=1023&dotrans=2991&hy=SH&m=d04052b0ab0e3dd64567fa60b16d0898&scene=0&t=1&taskid=0"
    a = url.split("encfilekey=")[-1].split("&token=")[0]
    print(a)


def distent():
    filekey = "Cvvj5Ix3eez3Y79SxtvVL0L7CkPM6dFibFeI6caGYwFEiaKINib2TA0ibV5JuXfIA5JysRWeytU3kTufCr7KFPLgwMiauCic" \
              "UypoEbA31w7w3sibnraPEwcMcG6LqxSmdFN5S8AfhuibFicv86oBfSuSXcibrCqw"
    filekey_txt_path = "../videoinfo/filekey.txt"

    with open(filekey_txt_path, 'r', encoding="utf8") as f:
        content = f.read()
        print(content)
        for line in content:
            if filekey in line.strip():
                print("yes")
            elif line.strip() == "":
                print("null")
            else:
                print("no")


# 创建日志
def create_log():
    # 创建日志文件夹。如果不存在，则创建
    log_dir = "../logs/"  # 日志文件夹名称
    log_path = os.getcwd() + os.sep + log_dir  # 日志路径
    if not os.path.isdir(log_path):
        os.makedirs(log_path)

    log_format = "%(asctime)s - %(name)s - %(levelname)s - %(message)s"
    date_format = "%Y-%m-%d %p %H:%M:%S"
    # 初始化
    logging.basicConfig(filename=log_path + 'logs.logs', level=logging.INFO, format=log_format, datefmt=date_format)

    logger = logging.getLogger('shipinhao')

    logger.info("这是第一条日志")


def split_title():
    title = Feishu.get_values_batch('demo', 'shipinhao', 'FSDlBy')[3][2]
    print(title)
    print('\n')
    # print(title.split('\n')[0].split('#')[0])
    print(title.split('\n')[0].replace('#', ''))


if __name__ == "__main__":
    # print(float(str(1.2)))
    # split_title()
    print(str(datetime.datetime.now()).split('.')[0])
    print(time.time())
    pass
